# GET Value Bets

Besides the [**Prediction API**](https://docs.sportmonks.com/football/endpoint-overview/prediction-api), we also have the **Value Bet API**. While the Prediction API evaluates the probabilities of game events, the Value Bet API is processing thousands of historical odds data and market trends to find Value opportunities, compared to bookmakers' odds.

Once the opening odds are available, the value detection algorithm is running every 10 minutes up to the beginning of the match. Each value detected by the model is coming with a set of features described below.

Please note that our algorithm detects Value Bets based on all available odds in combination with the `fair_odd`calculated by the **Value Bet algorithm**. Therefore, **not every match** has a Value Bet available.

It is possible to use the **Value Bet API** endpoint as described on this page. It will give you all Value Bets detected. It is also possible to use the [**Value Bet By Fixture Id**](https://docs.sportmonks.com/football/endpoint-overview/prediction-api/get-value-bet-by-fixture-id).

If you want to combine your Value Bets requests with your requests on the **Fixture** endpoint or **Livescore** endpoint, you can add the relationship include`&include=valuebet.`See the Relationship Fixture Value Bet for more info.

### `Get` Value Bets

```
https://soccer.sportmonks.com/api/v2.0/predictions/valuebets/next
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

| Available parameters |                                                                                                                  |
| -------------------- | ---------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc to your request url. |

#### Include options

`fixture`<br>

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="../../tutorials/enriching-your-response/includes" %}
[includes](https://docs.sportmonks.com/v2/tutorials/enriching-your-response/includes)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/predictions/valuebets/next?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
 "data": [
        {
            "fixture_id": 18304534,
            "predictions": {
                "bet": "2",
                "bookmaker": "pncl",
                "odd": 7.79,
                "is_value": false,
                "stake": 0.33,
                "fair_odd": 7.03
            }
        },
        {
            "fixture_id": 18326452,
            "predictions": {
                "bet": "X",
                "bookmaker": "bet365",
                "odd": 2.8,
                "is_value": false,
                "stake": 0.65,
                "fair_odd": 2.66
            }
        },
        {
            "fixture_id": 18326460,
            "predictions": {
                "bet": "2",
                "bookmaker": "1xbet",
                "odd": 2.71,
                "is_value": false,
                "stake": 0.67,
                "fair_odd": 2.58
            }
        },
        {
            "fixture_id": 18249798,
            "predictions": {
                "bet": "X",
                "bookmaker": "bet365",
                "odd": 3.75,
                "is_value": true,
                "stake": 0.52,
                "fair_odd": 3.51
            }
        },
        {
            "fixture_id": 18101929,
            "predictions": {
                "bet": "1",
                "bookmaker": "pncl",
                "odd": 2.9,
                "is_value": true,
                "stake": 0.63,
                "fair_odd": 2.75
            }
        },
        {
            "fixture_id": 18304463,
            "predictions": {
                "bet": "1",
                "bookmaker": "williamhill",
                "odd": 4,
                "is_value": false,
                "stake": 0.49,
                "fair_odd": 3.73
            }
        },
        {
            "fixture_id": 18044051,
            "predictions": {
                "bet": "1",
                "bookmaker": "bet365",
                "odd": 1.62,
                "is_value": false,
                "stake": 1.16,
                "fair_odd": 1.58
            }
        },
        {
            "fixture_id": 18300186,
            "predictions": {
                "bet": "1",
                "bookmaker": "betway",
                "odd": 1.53,
                "is_value": false,
                "stake": 1.27,
                "fair_odd": 1.5
            }
        },
        {
            "fixture_id": 18304459,
            "predictions": {
                "bet": "1",
                "bookmaker": "williamhill",
                "odd": 6.5,
                "is_value": true,
                "stake": 0.38,
                "fair_odd": 5.92
            }
        },
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#2f181bcb-fdbe-46f9-b812-aae8fde6fc6d)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/prediction-api/get-value-bets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
